import request from '@/utils/request'

// 查询使用指南列表
export function listGuide(query) {
  return request({
    url: '/system/use/list',
    method: 'get',
    params: query
  })
}

// 查询使用指南详细
export function getGuide(id) {
  return request({
    url: '/system/use/' + id,
    method: 'get'
  })
}

// 新增使用指南
export function addGuide(data) {
  return request({
    url: '/system/use',
    method: 'post',
    data: data
  })
}

// 修改使用指南
export function updateGuide(data) {
  return request({
    url: '/system/use',
    method: 'put',
    data: data
  })
}

// 删除使用指南
export function delGuide(id) {
  return request({
    url: '/system/use/' + id,
    method: 'delete'
  })
}
